pragmaMx Support Forum

pragmaMx => Installation & Update => Thema gestartet von: andreph68 am 24 März 2021, 16:51:07

Titel: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: andreph68 am 24 März 2021, 16:51:07
lors de la mise à jour voilà le message reçu :
error - Votre mémoire est trop faible pour terminer l'installation. La valeur minimum est 32MB, et vous avez: 0b
je ne peux continuer le setup ..
que faire
remerciements
andré
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: andreph68 am 24 März 2021, 17:56:52
pour une nouvelle installation j'ai le message suivant :
mysql D:\LiberKey\MyApps\UwAmp\www\pragmamx26\setup\includes\mx_db_mysqli.php 396 Field 'settings' doesn't have a default value 1364 INSERT INTO `mx866dd0_modules` (`title`, `custom_title`, `active`, `view`, `main_id`) VALUES ('Banners', 'Vos bannières', '0', '1', 'Modules_three');
je comprend pas
andré
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: TerraProject am 24 März 2021, 19:26:23
I'll check that again. Please wait
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: TerraProject am 25 März 2021, 09:52:57
please exchange the file \setup\sytabledefs\_modules.php with the attachement

give feedback please
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: andreph68 am 25 März 2021, 18:43:09
nouveau message :
mysql D:\LiberKey\MyApps\UwAmp\www\pragmamx26\setup\includes\mx_db_mysqli.php 396 BLOB, TEXT, GEOMETRY or JSON column 'settings' can't have a default value 1101 CREATE TABLE `mx866dd0_modules` ( `mid` int(10) NOT NULL AUTO_INCREMENT, `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '', `custom_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '', `active` int(1) NOT NULL DEFAULT '0', `view` int(1) NOT NULL DEFAULT '0', `main_id` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT '', `settings` mediumtext COLLATE utf8_unicode_ci NOT NULL DEFAULT '', PRIMARY KEY (`mid`), UNIQUE KEY `title` (`title`), KEY `active` (`active`), KEY `view` (`view`), KEY `main_id` (`main_id`) ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: TerraProject am 25 März 2021, 19:22:38
sorry

see attachment, please change the file
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: andreph68 am 25 März 2021, 20:19:01
nouveau message :
mysql D:\LiberKey\MyApps\UwAmp\www\pragmamx\setup\includes\mx_db_mysqli.php 396 BLOB, TEXT, GEOMETRY or JSON column 'settings' can't have a default value 1101 ALTER TABLE `mx2ec7bb_modules` ADD `settings` MEDIUMTEXT NOT NULL DEFAULT '' AFTER `main_id`;
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: TerraProject am 25 März 2021, 21:08:16
pleasae take the new _modules.php from the previous message. Youir error-Message is from older versions.
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: andreph68 am 25 März 2021, 21:25:31
non j'ai bien le bon _modules.php :(25/03/21 19:21)
<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 64 $
 * $Author: PragmaMx $
 * $Date: 2021-03-22 19:02:39 +0100 (Mo, 22. Mrz 2021) $
 */

defined('mxMainFileLoaded') or die('access denied');
unset(
$sqlqry);
// --------------------------------------------------------
// Tabellenstruktur fuer Tabelle `mx_modules`
// zum Testen:
// sql_query("DROP TABLE ${prefix}_modules");
// unset($tables["${prefix}_modules"]);
$created false;
if (!isset(
$tables["${prefix}_modules"])) {
    
$created true;
    
$sqlqry[] = "
CREATE TABLE `
${prefix}_modules` (
  `mid` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `custom_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `active` int(1) NOT NULL DEFAULT '0',
  `view` int(1) NOT NULL DEFAULT '0',
  `main_id` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `settings` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`mid`),
  UNIQUE KEY `title` (`title`),
  KEY `active` (`active`),
  KEY `view` (`view`),
  KEY `main_id` (`main_id`)
) ENGINE=MyISAM AUTO_INCREMENT=137 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
"
;
} else {
    
// Felder aktualisieren
    
$tf setupGetTableFields("${prefix}_modules");
    if (!isset(
$tf['custom_title'])) $sqlqry[] = "ALTER TABLE `${prefix}_modules` ADD custom_title VARCHAR(60) NOT NULL DEFAULT '' AFTER title;";
    if (!isset(
$tf['settings'])) $sqlqry[] = "ALTER TABLE `${prefix}_modules` ADD `settings` MEDIUMTEXT NOT NULL DEFAULT '' AFTER `main_id`; ";
    if (isset(
$tf['inmenu'])) $sqlqry[] = "ALTER TABLE `${prefix}_modules` DROP `inmenu`;";
    if (!isset(
$tf['main_id'])) {
        
$sqlqry[] = "ALTER TABLE `${prefix}_modules` ADD `main_id` VARCHAR( 20 ) NOT NULL ;";
        
// } else {
        // if ($tf['main_id']['Type'] != 'varchar(30)') $sqlqry[] = "ALTER TABLE `${prefix}_modules` CHANGE `main_id` `main_id` VARCHAR( 30 ) NOT NULL DEFAULT '';";
    
}
    
// aenderung von nuke >= 7.0 rueckgaengig
    
if (isset($tf['mod_group'])) $sqlqry[] = "ALTER TABLE `${prefix}_modules` DROP `mod_group`;";
    
// aenderung von nuke >= 7.5 rueckgaengig
    
if (isset($tf['admins'])) $sqlqry[] = "ALTER TABLE `${prefix}_modules` DROP `admins`;";
    
// aenderung von cp rueckgaengig
    
if (isset($tf['custom_title_german'])) $sqlqry[] = "ALTER TABLE `${prefix}_modules` DROP `custom_title_german` "// cp
    
if (isset($tf['custom_title_english'])) $sqlqry[] = "ALTER TABLE `${prefix}_modules` DROP `custom_title_english` "// cp
}

if (isset(
$sqlqry)) {
    
setupDoAllQueries($sqlqry);
    unset(
$sqlqry);
}
.........
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: andreph68 am 25 März 2021, 21:33:58
en cas de nouvelle installation , message suivant :

mysql D:\LiberKey\MyApps\UwAmp\www\pragmamx26\setup\includes\mx_db_mysqli.php 396 Field 'settings' doesn't have a default value 1364 INSERT INTO `mx866dd0_modules` (`title`, `custom_title`, `active`, `view`, `main_id`) VALUES ('Banners', 'Vos bannières', '0', '1', 'Modules_three');
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: TerraProject am 26 März 2021, 17:05:50
try attachment....
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: andreph68 am 26 März 2021, 20:02:32
 :drinks: :bye: :JC_highfive:
super ...merci beaucoup
la nouvelle installation fonctionne
je vais tester sur une mise à jour
Ca fonctionne aussi ....
merci pour tout

André
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: andreph68 am 27 März 2021, 08:20:34
bonjour
apres essai sur un site hébergé chez 1&1 voilà le message lors de l’installation :
(http://quad68.fr/albums/edit/maj%20pragmamx%202.6.jpg)
error - Votre mémoire est trop faible pour terminer l'installation. La valeur minimum est 32MB, et vous avez: 0b

Version du CMS:    pragmaMx 2.5.1.162 (2019-11-04)
Version PHP:    7.4.16   (PHP-Info)
Version MySQL:    5.5.60-0+deb7u1-log
Version du serveur:    Apache
Version du jQuery:    1.11.1   
Version du jQueryUI:    1.10.3

que faire ? tout marche très bien en local ( nouvelle installation ou mise à jour ) avec UwAmp ..
remerciements anticipés
andré

 
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: waltkemper am 27 März 2021, 09:38:17
Tach zusammen. Habe das gleiche Problem, auch nach dem Austausch der _modules.php. Was kann ich tun?

Viele Grüße und ein schönes WE
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: TerraProject am 27 März 2021, 10:28:09
offensichtlich melden jetzt einige server das Limit anders zurück....

also:
Datei/File: /setup/includes/functions_check.php
Line: 40 f.
$minvalues = array(/* minimale Versionen und Werte */
    'mysql' => MX_SETUP_MIN_MYSQLVERSION,
    'php' => MX_SETUP_MIN_PHPVERSION,
    'memlimit' => '33554432', // in byte = 32MB
    );
ändern in
'memlimit' => '0',
Bitte um Rückmeldung, ob das geht.... kann es nämlich nicht testen
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: andreph68 am 27 März 2021, 10:56:00
cool  tout est OK
merci beaucoup
andré
Titel: Re: mise à jour : Ihr PHP Speicher Limit ist zu gering um pragmaMx 2.6. zu installie
Beitrag von: waltkemper am 27 März 2021, 13:21:34
Klappt, danke :thumbup: